Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 83
Registered: ‎02-19-2010
My Device: Not Specified
My Carrier: Vodafone

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

So know I installed eclipse with plug-in 1.3. and everything works fine. Let's have a look how long this will be. Smiley Wink

Contributor
Posts: 24
Registered: ‎11-09-2010
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hi,

 

Im facing same problem with  @wpbbmg. I want to install BlackBerry plugins for my eclipse but it seems like there is no "SDK 6.0"  and  "Java plugin 1.x". Even though i installed from 4.5 up to 5.0 the program doesnt see the plugins installed.. By the way i want to install them on my own IDE .

 

how could i resolve this?

 

Thnx in Advcance

Highlighted
Developer
Posts: 1,807
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.3.2.858, Z10 (STL100-3)-10.3.1.2576, Z30 (STA100-5)-10.3.1.2582, Passport (SQW100-1)-10.3.1.2576, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Take a look at page 5 to see what I did.

 

The 1.3 plugin is (currently) not a download. You need to install the full installer to get it (and the 6.0 component pack).

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Developer
Posts: 141
Registered: ‎02-10-2010
My Device: 9500
My Carrier: Airtel

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

[ Edited ]

After installing the complete setup for Blackberry Java Plugin for Eclipse 1.3 in a new directory, i donot see Blackberry development perspective option in eclipse. Following is the error log seen at Help->About->Installation Details->Error Log:

 

!SESSION 2011-01-20 06:56:18.772 -----------------------------------------------
eclipse.buildId=M20100909-0800
java.version=1.5.0_09
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.equinox.app 0 0 2011-01-20 06:56:52.580
!MESSAGE Product net.rim.ejde.product could not be found.

 

Any idea about the problem? I have spent almost > half day now trying to uninstall/reinstall and trying various options/suggestions given in existing posts.

 

thanks.

Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hi 

 

What OS are you using? Is it 32 or 64-bit?

What version(s) of Java do you have installed? Are they 32 or 64-bit?

Garett
@garettBeuk
--
Goodbye everybody!
Developer
Posts: 193
Registered: ‎02-27-2009
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Not sure if it's relevant, but your log message indicates that you are running Java 5. The requirements for the BlackBerry Java plugin indicate that you need JDK 6u10 or newer.

New Developer
Posts: 28
Registered: ‎01-05-2009
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

I just copied all the plugins and features from the 1.3.0 Mac OS X package to my existing Eclipse install and now the plugin shows up in Eclipse.

 

I cannot, however, debug on a device because the native library used to communicate with the device (libRIMUsbJni.jnilib seems to be a 32bit version and not a 64bit or fat binary). Can anyone at RIM provide a 64-bit version of this library ? 

 

 

Developer
Posts: 141
Registered: ‎02-10-2010
My Device: 9500
My Carrier: Airtel

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Thanks a lot cwong15 for pointing that out. I upgraded java version to 6 update 23 and then installed the plug-in. It works!

 

Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

Hi 

 

Garett
@garettBeuk
--
Goodbye everybody!
Developer
Posts: 237
Registered: ‎07-20-2010
My Device: Not Specified

Re: BlackBerry Java Plug-in for Eclipse 1.3.0 released!

I installed this at home and now my project won't  work, I get an error : Unreachable Code at the last line of my main classes source code - the very last line off the file.  Anyone else see this?  I wonder if its just a project settings thing since the project settings are not in my SVN I have to recreate the project and imort ythe source code and resources and app descriptor.

 

Thanks